////////////////////////////////////////////////////////////////////
// Nes Mapper #2:  UNROM
// This mapper is used on many older U.S. and Japanese games, such as Castlevania, Mega Man,
// Ghosts & Goblins, and Amagon.
////////////////////////////////////////////////////////////////////

#if !defined(NES_MAPPER_2
#define NES_MAPPER_2

#include "..\NesBaseMapper.h"

#include <windows.h>

class NesMapper2 : public NesBaseMapper
{
public:
	///////////////////////////////
	// Class Procedures
	///////////////////////////////
	NesMapper2(NesCartridge *linkCartridge, NesCPU *linkCPU, NesPPU *linkPPU);
	~NesMapper2();
	void initMemory();
	void write(unsigned __int16 addr, unsigned char data);
};

#endif 